
<div class="container">
    <div class="left-container">
        <form [formGroup]="options">
        <div class="Row">
            <p class="top">Bevorzugte Auswahl:</p>
            <mat-radio-button checked="true" color="primary" class="radio" type="radio" (click)="urlaubClicked()">Urlaubstage</mat-radio-button>
            <mat-radio-button color="primary" class="radio" (click)="zakClicked()" type="radio" >ZAK</mat-radio-button>
        </div>
        <div class="Row">
            <mat-form-field class="formLengthTextfield" color="primary" appearance="fill">
                <mat-label>Von</mat-label>
                <input #vonDate matInput [matDatepicker]="von" [min]="today" [max]="maxDate" formControlName="startDate" (dateInput)="setMinDate($event)" (dateChange)="getDaysSelected()">
                <mat-hint align="end">TT.MM.JJJJ</mat-hint>
                <mat-datepicker-toggle matSuffix [for]="von"></mat-datepicker-toggle>
                <mat-datepicker #von color="primary"></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="Row">
            <mat-form-field class="formLengthTextfield"  appearance="fill" >
                <mat-label>Bis</mat-label>
                <input #bisDate matInput [matDatepicker]="bis" [min]="minDate" formControlName="endDate" (dateInput)="setMaxDate($event)" (dateChange)="getDaysSelected()">
                <mat-hint align="end">TT.MM.JJJJ</mat-hint>
                <mat-datepicker-toggle matSuffix [for]="bis"></mat-datepicker-toggle>
                <mat-datepicker #bis color="primary"></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="Row">
            <mat-form-field class="formLengthTextarea1" color="primary" appearance="fill">
            <mat-label>Bemerkung</mat-label>
                <textarea class="formLengthTextarea2" matInput #message maxlength="256" placeholder="Hier schreiben..." [formControl]="description"></textarea>
                <mat-hint align="end">{{message.value.length}} / 256</mat-hint>
            </mat-form-field>
        </div>
        <div class="Row">
            <mat-label>
                <button [disabled]="!options.valid" mat-raised-button color="primary" (click)="upload()">Beantragen</button>
                <mat-hint align="start"><mat-error class="buttonValid" *ngIf="!options.valid">Bitte Datum eintragen</mat-error></mat-hint>
            </mat-label>
        </div>
    </form>
    </div>
    <div class="right-container">
        <div class="container">
            <div class="right-container-left-container">
                <p>Von - Bis:</p>
            </div>
            <div class="right-container-right-container">
            <p>Urlaubsgrund:</p>
            </div>
        </div>
        <mat-divider></mat-divider>
        <br>
        <p *ngIf="vacations.length == 0">Bisher noch keine Urlaubsanträge eingereicht</p>
        <div *ngFor="let vacation of vacations">
            <mat-accordion multi>
                <mat-expansion-panel >
                <mat-expansion-panel-header>
                    <mat-panel-title >
                    {{vacation.start_date |date:'dd.MM.yyyy'}} bis {{vacation.end_date|date:'dd.MM.yyyy'}}
                    </mat-panel-title>
                        <mat-panel-description>
                            {{vacation.description}}
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <button mat-icon-button (click)="deleteItem(vacation)" class="btnDelete">
                        <mat-icon class="delete">delete</mat-icon>
                    </button>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
    </div>
</div>